Проблема с выполнением dssp (назначение вторичной структуры)

Я следовал предыдущему сообщению, чтобы установить dssp в Ubuntu

Как установить dssp (назначения вторичной структуры) в 12.04?

После установки я попытался выполнить dssp, который был в /usr/local/bin/dssp, но он дал мне следующую ошибку bash: /usr/local/bin/dssp: невозможно выполнить двоичный файл

Также я попытался проанализировать некоторые файлы траекторий из симуляции, используя код

do_dssp -s md.tpr -f traj.xtc

Но он также не смог дать мне ошибку ниже

Reading file md.tpr, VERSION 4.5.5 (single precision)
Reading file md.tpr, VERSION 4.5.5 (single precision)
Segmentation fault (core dumped)

Пожалуйста, отправьте мне решение этой проблемы. Спасибо!

1
задан 15.06.2017, 22:46

3 ответа

Я думаю, что ваша проблема в том, что вы не написали sudo chmod a+x /usr/local/bin/dssp? (Я только что установил и использовал dssp со ссылкой, которую вы указали, и она работает нормально)

(Вы должны задать еще один вопрос для другой проблемы (с более подробным объяснением и новым названием))

0
ответ дан 22.10.2019, 13:05

Просто немного обновлюсь. Эта программа очень проста в установке в Ubuntu 14.04

fmp@lucy:~/Downloads$ sudo apt-get install dssp
Reading package lists... Done
Building dependency tree       
Reading state information... Done

The following extra packages will be installed:
libboost-iostreams1.54.0 libboost-program-options1.54.0
libboost-system1.54.0 libboost-thread1.54.0
The following NEW packages will be installed:
dssp libboost-iostreams1.54.0 libboost-program-options1.54.0
libboost-system1.54.0 libboost-thread1.54.0
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.

Setting up dssp (2.2.1-1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.3) ...

Вы должны вызывать ее с помощью mkdssp !! Примеры:

Чтобы вычислить вторичную структуру для файла 1crn.pdb и записать результат в файл с именем 1crn.dssp, введите:

mkdssp -i 1crn.pdb -o 1crn.dssp
0
ответ дан 22.10.2019, 13:05

Это ошибка. Я использовал do_dssp с предыдущими версиями GROMACS. Он не работал при обновлении до версии 4.5.5. Кто-нибудь, пожалуйста, загрузите GROMACS 4.6 в программном центре UBUNTU. Я считаю, что эта проблема была исправлена ​​в GROMACS 4.6. см. эту ссылку.

0
ответ дан 22.10.2019, 13:05

Теги

Похожие вопросы